<?php

class Database {
    private $connection;

    public function __construct() {
        // Credenciales de la base de datos
        $host = '172.26.0.77';
        $db = 'elega';
        $user = 'usr_mnl';
        $pass = 'mone23leg';

        // Data Source Name (DSN) para la conexión con SQL Server
        $dsn = "sqlsrv:Server=$host;Database=$db";

        try {
            // Crear una nueva conexión PDO
            $this->connection = new PDO($dsn, $user, $pass);
            $this->connection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (PDOException $e) {
            // Manejo de errores de conexión
            die("Error de conexión: " . $e->getMessage());
        }
    }

    // Método para obtener la conexión
    public function getConnection() {
        return $this->connection;
    }
}
